<?php
/*
Plugin Name: User Mail Only Register
Plugin URI: https://wordpress.org/plugins/user-mail-only-register/
Version: 1.04
Description: Register users with mail only.
Author: Katsushi Kawamori
Author URI: https://riverforest-wp.info/
Text Domain: user-mail-only-register
Domain Path: /languages
*/

/*  Copyright (c) 2019- Katsushi Kawamori (email : dodesyoswift312@gmail.com)
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

	add_action( 'plugins_loaded', 'user_mail_only_register_load_textdomain' );
	function user_mail_only_register_load_textdomain() {
		load_plugin_textdomain('user-mail-only-register');
	}

	if(!class_exists('UserMailOnlyRegisterRegist')) require_once( dirname(__FILE__).'/lib/UserMailOnlyRegisterRegist.php' );
	if(!class_exists('UserMailOnlyRegisterAdmin')) require_once( dirname(__FILE__).'/lib/UserMailOnlyRegisterAdmin.php' );
	if(!class_exists('UserMailOnlyRegisterWidgetItem')) require_once( dirname(__FILE__).'/lib/UserMailOnlyRegisterWidgetItem.php' );
	if(!class_exists('UserMailOnlyRegister')) require_once( dirname(__FILE__).'/lib/UserMailOnlyRegister.php' );

?>